#!/usr/bin/env python
# coding:utf-8
# Copyright (c) 2024 Huawei Technologies Co., Ltd.
# openUBMC is licensed under Mulan PSL v2.
# You can use this software according to the terms and conditions of the Mulan PSL v2.
# You may obtain a copy of Mulan PSL v2 at:
#         http://license.coscl.org.cn/MulanPSL2
# THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
# EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
# MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
# See the Mulan PSL v2 for more details.

"""
文件名：envir_prepare.py
功能：打包目录形成
"""
import os
import sys
import logging
 
cwd = os.path.join(os.getcwd(), os.path.dirname(__file__))
sys.path.append(f"{cwd}/../")
sys.path.append(f"{cwd}/../../")
sys.path.append(f"{cwd}/../../../")
 
 
log = logging.getLogger(__name__)


class BaseCustomization():
    def __init__(self, work, config):
        self.config = config
        self.work = work

    @staticmethod
    def rootfs_cust(self, rootfs_path):
        log.info("empty rootfs_cust")
        pass

    @staticmethod
    def datafs_cust(self, rootfs_path):
        log.info("empty datafs_cust")
        pass

    @staticmethod
    def rootfs_debug_cust(self, rootfs_path):
        log.info("empty rootfs_debug_cust")
        pass

    @staticmethod
    def rootfs_release_cust(self, rootfs_path):
        log.info("empty rootfs_release_cust")
        pass

    @staticmethod
    def rootfs_common(self, rootfs_path):
        log.info("empty rootfs_common")
        pass